<?php

/**
* 14/12/2016
* @author Francis
*/

namespace TecFood\Util;

use Symfony\Component\DependencyInjection\Loader\XmlFileLoader;
use Symfony\Component\DependencyInjection\ContainerBuilder;
use Symfony\Component\Config\FileLocator;
use Zeedhi\Framework\DependencyInjection\InstanceManager;

class QueryLogger {

	public function createLogFile($query, $route = false ) {

        $ds = DIRECTORY_SEPARATOR;
        $queryLoggerFileName = "query-logger.json";
        $parameters = InstanceManager::getInstance()->getContainer()->getParameterBag()->all();
        if(!empty($parameters['query_logger']['use'])) {

            $properties = array(
                'sql' => $query['sql'],
                'params' => $query['params'],
                'startTime' => $query['startTime'],
                'endTime' => $query['endTime'],
                'duration' => $query['duration']
            );
            if (isset($parameters['query_logger']['path'])) {
                $path = $parameters['query_logger']['path'];
            } else if (isset($parameters['query_logger']['routes']) && isset($parameters['query_logger']['routes'][$route])) {
                $path = $parameters['query_logger']['routes'][$route];
                $queryLoggerFileName = str_replace("/", "", $route) . ".json";
            } else {
                $path = $_SERVER["DOCUMENT_ROOT"];
            }
            
            if(is_dir($path)) {
                
                $queryLoggerFile = $path.$ds.$queryLoggerFileName;
                if(!file_exists($queryLoggerFile)) {
                    $content = "[";
                    $content .= json_encode($properties, JSON_PRETTY_PRINT);
                    $content .= "]";
                }else {
                    $json = file_get_contents($queryLoggerFile);
                    $content = json_decode($json);
                    $content[] = $properties;
                    $content = json_encode($content, JSON_PRETTY_PRINT);
                }
                try {
                    file_put_contents($queryLoggerFile, $content);
                } catch(\Exception $e) {
                    
                }

            }
        }

	}

}